//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "NLUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
        Parameters = &Move.Parameters;
        StartParameters();
        randomize();
        //StartImage();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TimerTimer(TObject *Sender)
{
        AttKickLabel->Caption = ": " + FloatToStr(Parameters->AttKick);
        AttDexterityLabel->Caption = ": " + FloatToStr(Parameters->AttDexterity);
        AttGoodLuckLabel->Caption = ": " + FloatToStr(Parameters->AttGoodLuck);
        AttHealthLabel->Caption = ": " + FloatToStr(Parameters->AttHealth);
        AttHPLabel->Caption = ": " + IntToStr(Move.AttHP) + "/" + FloatToStr(Parameters->AttHP);
        AttPowerLabel->Caption = ": " + FloatToStr(Parameters->AttPower);
        AttODLabel->Caption = "-  : " + FloatToStr(Parameters->AttOD);
        AttKBLabel->Caption = " : " + FloatToStr(Parameters->AttKB);
        AttUlovLabel->Caption = ": " + FloatToStr(Parameters->AttUlov);
        AttTochLabel->Caption = ": " + FloatToStr(Parameters->AttToch);
        AttSokrLabel->Caption = ": " + FloatToStr(Parameters->AttSokr);
        AttStoiLabel->Caption = ": " + FloatToStr(Parameters->AttStoi);
        DefKickLabel->Caption = ": " + FloatToStr(Parameters->DefKick);
        DefDexterityLabel->Caption = ": " + FloatToStr(Parameters->DefDexterity);
        DefGoodLuckLabel->Caption = ": " + FloatToStr(Parameters->DefGoodLuck);
        DefHealthLabel->Caption = ": " + FloatToStr(Parameters->DefHealth);
        DefHPLabel->Caption = ": " + IntToStr(Move.DefHP) + "/" + FloatToStr(Parameters->DefHP);
        DefPowerLabel->Caption = ": " + FloatToStr(Parameters->DefPower);
        DefKBLabel->Caption = " : " + FloatToStr(Parameters->DefKB);
        DefUlovLabel->Caption = ": " + FloatToStr(Parameters->DefUlov);
        DefTochLabel->Caption = ": " + FloatToStr(Parameters->DefToch);
        DefSokrLabel->Caption = ": " + FloatToStr(Parameters->DefSokr);
        DefStoiLabel->Caption = ": " + FloatToStr(Parameters->DefStoi);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::MoveButtonClick(TObject *Sender)
{
        Move.Move();
}
//---------------------------------------------------------------------------
void TForm1::StartParameters()
{
        Parameters->AttKick = 50;
        Parameters->AttDexterity = 60;
        Parameters->AttGoodLuck = 30;
        Parameters->AttHealth = 10;
        Parameters->AttHP = 1000;
        Move.AttHP = Parameters->AttHP += Parameters->AttHealth * 10;
        Parameters->AttPower = 30;
        Parameters->AttOD = 100;
        Parameters->AttKB = 50;
        Parameters->AttUlov = 100;
        Parameters->AttToch = 50;
        Parameters->AttStoi = 50;
        Parameters->AttSokr = 100;
        Parameters->DefKick = 50;
        Parameters->DefDexterity = 30;
        Parameters->DefGoodLuck = 60;
        Parameters->DefHealth = 10;
        Parameters->DefHP = 1000;
        Move.DefHP = Parameters->DefHP += Parameters->DefHealth * 10;
        Parameters->DefPower= 30;
        Parameters->DefKB = 50;
        Parameters->DefUlov = 50;
        Parameters->DefToch = 50;
        Parameters->DefStoi = 100;
        Parameters->DefSokr = 100;
        Move.Chances.Parameters = Move.Parameters;
}
//---------------------------------------------------------------------------
void TForm1::StartImage()
{
        Form1->AttAvatarImage->Picture->LoadFromFile(".bmp");
        Form1->DefAvatarImage->Picture->LoadFromFile(".bmp");
        Form1->AttShlemImage->Picture->LoadFromFile(".bmp");
        Form1->DefShlemImage->Picture->LoadFromFile(".bmp");
        Form1->AttAmuletImage->Picture->LoadFromFile(".bmp");
        Form1->DefAmuletImage->Picture->LoadFromFile(".bmp");
        Form1->AttOruzhieImage->Picture->LoadFromFile(".bmp");
        Form1->DefOruzhieImage->Picture->LoadFromFile(".bmp");
        Form1->AttPoyasImage->Picture->LoadFromFile(".bmp");
        Form1->DefPoyasImage->Picture->LoadFromFile(".bmp");
        Form1->AttSodPoyas1Image->Picture->LoadFromFile(" .bmp");
        Form1->AttSodPoyas2Image->Picture->LoadFromFile(" .bmp");
        Form1->AttSodPoyas3Image->Picture->LoadFromFile(" .bmp");
        Form1->DefSodPoyas1Image->Picture->LoadFromFile(" .bmp");
        Form1->DefSodPoyas2Image->Picture->LoadFromFile(" .bmp");
        Form1->DefSodPoyas3Image->Picture->LoadFromFile(" .bmp");
        Form1->AttSapogiImage->Picture->LoadFromFile(".bmp");
        Form1->DefSapogiImage->Picture->LoadFromFile(".bmp");
        Form1->AttSodKarmanImage->Picture->LoadFromFile(" .bmp");
        Form1->DefSodKarmanImage->Picture->LoadFromFile(" .bmp");
        Form1->AttKarmanImage->Picture->LoadFromFile(".bmp");
        Form1->DefKarmanImage->Picture->LoadFromFile(".bmp");
        Form1->AttNaruchiImage->Picture->LoadFromFile(".bmp");
        Form1->DefNaruchiImage->Picture->LoadFromFile(".bmp");
        Form1->AttPerchiImage->Picture->LoadFromFile(".bmp");
        Form1->DefPerchiImage->Picture->LoadFromFile(".bmp");
        Form1->AttShitImage->Picture->LoadFromFile(".bmp");
        Form1->DefShitImage->Picture->LoadFromFile(".bmp");
        Form1->AttKolco1Image->Picture->LoadFromFile(".bmp");
        Form1->AttKolco2Image->Picture->LoadFromFile(".bmp");
        Form1->DefKolco1Image->Picture->LoadFromFile(".bmp");
        Form1->DefKolco2Image->Picture->LoadFromFile(".bmp");
        Form1->AttBronyaImage->Picture->LoadFromFile(".bmp");
        Form1->DefBronyaImage->Picture->LoadFromFile(".bmp");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
        if (Form1->CheckBox1->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 30;
        }
        if (Form1->CheckBox1->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 30;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox2Click(TObject *Sender)
{
        if (Form1->CheckBox2->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 30;
        }
        if (Form1->CheckBox2->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 30;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox3Click(TObject *Sender)
{
        if (Form1->CheckBox3->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 30;
        }
        if (Form1->CheckBox3->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 30;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox4Click(TObject *Sender)
{
        if (Form1->CheckBox4->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 30;
        }
        if (Form1->CheckBox4->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 30;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox5Click(TObject *Sender)
{
        if (Form1->CheckBox5->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 20;
        }
        if (Form1->CheckBox5->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 20;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox6Click(TObject *Sender)
{
        if (Form1->CheckBox6->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 20;
        }
        if (Form1->CheckBox6->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 20;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox7Click(TObject *Sender)
{
        if (Form1->CheckBox7->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 20;
        }
        if (Form1->CheckBox7->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 20;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox8Click(TObject *Sender)
{
        if (Form1->CheckBox8->Checked == true)
        {
                Parameters->AttOD = Parameters->AttOD - 20;
        }
        if (Form1->CheckBox8->Checked == false)
        {
                Parameters->AttOD = Parameters->AttOD + 20;
        }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
        Form2->Show();        
}
//---------------------------------------------------------------------------
